Home//
REST API Reference
/- List attached segments for companies
Create or Update a company
Retrieve companies
Retrieve a company by ID
Update a company
Delete a company
List attached contacts
List all companies
Scroll over all companies
Attach a Contact to a Company
List attached companies for contact
Detach a contact from a company
Company
List attached segments fo...
You can fetch a list of all segments that belong to a company.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
- The production API serverhttps://api.intercom.io/companies/{id}/segments
- The european API serverhttps://api.eu.intercom.io/companies/{id}/segments
- The australian API serverhttps://api.au.intercom.io/companies/{id}/segments
curl -i -X GET \
https://api.intercom.io/companies/5f4d3c1c-7b1b-4d7d-a97e-6095715c6632/segments \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.9'Successful
dataArray of objects(Segment)
An array containing Segment Objects
Response
{ "type": "list", "data": [] }